Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network188.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
188.0.0.0
Broadcast address
189.255.255.255
First usable
188.0.0.1
Last usable
189.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
B (default /16)
As numbers
Hex BC000000 · Integer 3154116608 to 3187671039
Reverse DNS zones
188.in-addr.arpa
189.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111100.00000000.00000000.00000000188.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network10111100.00000000.00000000.00000000188.0.0.0
Broadcast10111101.11111111.11111111.11111111189.255.255.255
Split into smaller subnets/17

188.0.0.0/7 makes 1,024 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1188.0.0.0/17188.0.0.1 to 188.0.127.254188.0.127.25532,766
2188.0.128.0/17188.0.128.1 to 188.0.255.254188.0.255.25532,766
3188.1.0.0/17188.1.0.1 to 188.1.127.254188.1.127.25532,766
4188.1.128.0/17188.1.128.1 to 188.1.255.254188.1.255.25532,766
5188.2.0.0/17188.2.0.1 to 188.2.127.254188.2.127.25532,766
6188.2.128.0/17188.2.128.1 to 188.2.255.254188.2.255.25532,766
7188.3.0.0/17188.3.0.1 to 188.3.127.254188.3.127.25532,766
8188.3.128.0/17188.3.128.1 to 188.3.255.254188.3.255.25532,766
9188.4.0.0/17188.4.0.1 to 188.4.127.254188.4.127.25532,766
10188.4.128.0/17188.4.128.1 to 188.4.255.254188.4.255.25532,766
11188.5.0.0/17188.5.0.1 to 188.5.127.254188.5.127.25532,766
12188.5.128.0/17188.5.128.1 to 188.5.255.254188.5.255.25532,766
13188.6.0.0/17188.6.0.1 to 188.6.127.254188.6.127.25532,766
14188.6.128.0/17188.6.128.1 to 188.6.255.254188.6.255.25532,766
15188.7.0.0/17188.7.0.1 to 188.7.127.254188.7.127.25532,766
16188.7.128.0/17188.7.128.1 to 188.7.255.254188.7.255.25532,766
17188.8.0.0/17188.8.0.1 to 188.8.127.254188.8.127.25532,766
18188.8.128.0/17188.8.128.1 to 188.8.255.254188.8.255.25532,766
19188.9.0.0/17188.9.0.1 to 188.9.127.254188.9.127.25532,766
20188.9.128.0/17188.9.128.1 to 188.9.255.254188.9.255.25532,766
21188.10.0.0/17188.10.0.1 to 188.10.127.254188.10.127.25532,766
22188.10.128.0/17188.10.128.1 to 188.10.255.254188.10.255.25532,766
23188.11.0.0/17188.11.0.1 to 188.11.127.254188.11.127.25532,766
24188.11.128.0/17188.11.128.1 to 188.11.255.254188.11.255.25532,766
25188.12.0.0/17188.12.0.1 to 188.12.127.254188.12.127.25532,766
26188.12.128.0/17188.12.128.1 to 188.12.255.254188.12.255.25532,766
27188.13.0.0/17188.13.0.1 to 188.13.127.254188.13.127.25532,766
28188.13.128.0/17188.13.128.1 to 188.13.255.254188.13.255.25532,766
29188.14.0.0/17188.14.0.1 to 188.14.127.254188.14.127.25532,766
30188.14.128.0/17188.14.128.1 to 188.14.255.254188.14.255.25532,766
31188.15.0.0/17188.15.0.1 to 188.15.127.254188.15.127.25532,766
32188.15.128.0/17188.15.128.1 to 188.15.255.254188.15.255.25532,766
33188.16.0.0/17188.16.0.1 to 188.16.127.254188.16.127.25532,766
34188.16.128.0/17188.16.128.1 to 188.16.255.254188.16.255.25532,766
35188.17.0.0/17188.17.0.1 to 188.17.127.254188.17.127.25532,766
36188.17.128.0/17188.17.128.1 to 188.17.255.254188.17.255.25532,766
37188.18.0.0/17188.18.0.1 to 188.18.127.254188.18.127.25532,766
38188.18.128.0/17188.18.128.1 to 188.18.255.254188.18.255.25532,766
39188.19.0.0/17188.19.0.1 to 188.19.127.254188.19.127.25532,766
40188.19.128.0/17188.19.128.1 to 188.19.255.254188.19.255.25532,766
41188.20.0.0/17188.20.0.1 to 188.20.127.254188.20.127.25532,766
42188.20.128.0/17188.20.128.1 to 188.20.255.254188.20.255.25532,766
43188.21.0.0/17188.21.0.1 to 188.21.127.254188.21.127.25532,766
44188.21.128.0/17188.21.128.1 to 188.21.255.254188.21.255.25532,766
45188.22.0.0/17188.22.0.1 to 188.22.127.254188.22.127.25532,766
46188.22.128.0/17188.22.128.1 to 188.22.255.254188.22.255.25532,766
47188.23.0.0/17188.23.0.1 to 188.23.127.254188.23.127.25532,766
48188.23.128.0/17188.23.128.1 to 188.23.255.254188.23.255.25532,766
49188.24.0.0/17188.24.0.1 to 188.24.127.254188.24.127.25532,766
50188.24.128.0/17188.24.128.1 to 188.24.255.254188.24.255.25532,766
51188.25.0.0/17188.25.0.1 to 188.25.127.254188.25.127.25532,766
52188.25.128.0/17188.25.128.1 to 188.25.255.254188.25.255.25532,766
53188.26.0.0/17188.26.0.1 to 188.26.127.254188.26.127.25532,766
54188.26.128.0/17188.26.128.1 to 188.26.255.254188.26.255.25532,766
55188.27.0.0/17188.27.0.1 to 188.27.127.254188.27.127.25532,766
56188.27.128.0/17188.27.128.1 to 188.27.255.254188.27.255.25532,766
57188.28.0.0/17188.28.0.1 to 188.28.127.254188.28.127.25532,766
58188.28.128.0/17188.28.128.1 to 188.28.255.254188.28.255.25532,766
59188.29.0.0/17188.29.0.1 to 188.29.127.254188.29.127.25532,766
60188.29.128.0/17188.29.128.1 to 188.29.255.254188.29.255.25532,766
61188.30.0.0/17188.30.0.1 to 188.30.127.254188.30.127.25532,766
62188.30.128.0/17188.30.128.1 to 188.30.255.254188.30.255.25532,766
63188.31.0.0/17188.31.0.1 to 188.31.127.254188.31.127.25532,766
64188.31.128.0/17188.31.128.1 to 188.31.255.254188.31.255.25532,766
65188.32.0.0/17188.32.0.1 to 188.32.127.254188.32.127.25532,766
66188.32.128.0/17188.32.128.1 to 188.32.255.254188.32.255.25532,766
67188.33.0.0/17188.33.0.1 to 188.33.127.254188.33.127.25532,766
68188.33.128.0/17188.33.128.1 to 188.33.255.254188.33.255.25532,766
69188.34.0.0/17188.34.0.1 to 188.34.127.254188.34.127.25532,766
70188.34.128.0/17188.34.128.1 to 188.34.255.254188.34.255.25532,766
71188.35.0.0/17188.35.0.1 to 188.35.127.254188.35.127.25532,766
72188.35.128.0/17188.35.128.1 to 188.35.255.254188.35.255.25532,766
73188.36.0.0/17188.36.0.1 to 188.36.127.254188.36.127.25532,766
74188.36.128.0/17188.36.128.1 to 188.36.255.254188.36.255.25532,766
75188.37.0.0/17188.37.0.1 to 188.37.127.254188.37.127.25532,766
76188.37.128.0/17188.37.128.1 to 188.37.255.254188.37.255.25532,766
77188.38.0.0/17188.38.0.1 to 188.38.127.254188.38.127.25532,766
78188.38.128.0/17188.38.128.1 to 188.38.255.254188.38.255.25532,766
79188.39.0.0/17188.39.0.1 to 188.39.127.254188.39.127.25532,766
80188.39.128.0/17188.39.128.1 to 188.39.255.254188.39.255.25532,766
81188.40.0.0/17188.40.0.1 to 188.40.127.254188.40.127.25532,766
82188.40.128.0/17188.40.128.1 to 188.40.255.254188.40.255.25532,766
83188.41.0.0/17188.41.0.1 to 188.41.127.254188.41.127.25532,766
84188.41.128.0/17188.41.128.1 to 188.41.255.254188.41.255.25532,766
85188.42.0.0/17188.42.0.1 to 188.42.127.254188.42.127.25532,766
86188.42.128.0/17188.42.128.1 to 188.42.255.254188.42.255.25532,766
87188.43.0.0/17188.43.0.1 to 188.43.127.254188.43.127.25532,766
88188.43.128.0/17188.43.128.1 to 188.43.255.254188.43.255.25532,766
89188.44.0.0/17188.44.0.1 to 188.44.127.254188.44.127.25532,766
90188.44.128.0/17188.44.128.1 to 188.44.255.254188.44.255.25532,766
91188.45.0.0/17188.45.0.1 to 188.45.127.254188.45.127.25532,766
92188.45.128.0/17188.45.128.1 to 188.45.255.254188.45.255.25532,766
93188.46.0.0/17188.46.0.1 to 188.46.127.254188.46.127.25532,766
94188.46.128.0/17188.46.128.1 to 188.46.255.254188.46.255.25532,766
95188.47.0.0/17188.47.0.1 to 188.47.127.254188.47.127.25532,766
96188.47.128.0/17188.47.128.1 to 188.47.255.254188.47.255.25532,766
97188.48.0.0/17188.48.0.1 to 188.48.127.254188.48.127.25532,766
98188.48.128.0/17188.48.128.1 to 188.48.255.254188.48.255.25532,766
99188.49.0.0/17188.49.0.1 to 188.49.127.254188.49.127.25532,766
100188.49.128.0/17188.49.128.1 to 188.49.255.254188.49.255.25532,766
101188.50.0.0/17188.50.0.1 to 188.50.127.254188.50.127.25532,766
102188.50.128.0/17188.50.128.1 to 188.50.255.254188.50.255.25532,766
103188.51.0.0/17188.51.0.1 to 188.51.127.254188.51.127.25532,766
104188.51.128.0/17188.51.128.1 to 188.51.255.254188.51.255.25532,766
105188.52.0.0/17188.52.0.1 to 188.52.127.254188.52.127.25532,766
106188.52.128.0/17188.52.128.1 to 188.52.255.254188.52.255.25532,766
107188.53.0.0/17188.53.0.1 to 188.53.127.254188.53.127.25532,766
108188.53.128.0/17188.53.128.1 to 188.53.255.254188.53.255.25532,766
109188.54.0.0/17188.54.0.1 to 188.54.127.254188.54.127.25532,766
110188.54.128.0/17188.54.128.1 to 188.54.255.254188.54.255.25532,766
111188.55.0.0/17188.55.0.1 to 188.55.127.254188.55.127.25532,766
112188.55.128.0/17188.55.128.1 to 188.55.255.254188.55.255.25532,766
113188.56.0.0/17188.56.0.1 to 188.56.127.254188.56.127.25532,766
114188.56.128.0/17188.56.128.1 to 188.56.255.254188.56.255.25532,766
115188.57.0.0/17188.57.0.1 to 188.57.127.254188.57.127.25532,766
116188.57.128.0/17188.57.128.1 to 188.57.255.254188.57.255.25532,766
117188.58.0.0/17188.58.0.1 to 188.58.127.254188.58.127.25532,766
118188.58.128.0/17188.58.128.1 to 188.58.255.254188.58.255.25532,766
119188.59.0.0/17188.59.0.1 to 188.59.127.254188.59.127.25532,766
120188.59.128.0/17188.59.128.1 to 188.59.255.254188.59.255.25532,766
121188.60.0.0/17188.60.0.1 to 188.60.127.254188.60.127.25532,766
122188.60.128.0/17188.60.128.1 to 188.60.255.254188.60.255.25532,766
123188.61.0.0/17188.61.0.1 to 188.61.127.254188.61.127.25532,766
124188.61.128.0/17188.61.128.1 to 188.61.255.254188.61.255.25532,766
125188.62.0.0/17188.62.0.1 to 188.62.127.254188.62.127.25532,766
126188.62.128.0/17188.62.128.1 to 188.62.255.254188.62.255.25532,766
127188.63.0.0/17188.63.0.1 to 188.63.127.254188.63.127.25532,766
128188.63.128.0/17188.63.128.1 to 188.63.255.254188.63.255.25532,766
129188.64.0.0/17188.64.0.1 to 188.64.127.254188.64.127.25532,766
130188.64.128.0/17188.64.128.1 to 188.64.255.254188.64.255.25532,766
131188.65.0.0/17188.65.0.1 to 188.65.127.254188.65.127.25532,766
132188.65.128.0/17188.65.128.1 to 188.65.255.254188.65.255.25532,766
133188.66.0.0/17188.66.0.1 to 188.66.127.254188.66.127.25532,766
134188.66.128.0/17188.66.128.1 to 188.66.255.254188.66.255.25532,766
135188.67.0.0/17188.67.0.1 to 188.67.127.254188.67.127.25532,766
136188.67.128.0/17188.67.128.1 to 188.67.255.254188.67.255.25532,766
137188.68.0.0/17188.68.0.1 to 188.68.127.254188.68.127.25532,766
138188.68.128.0/17188.68.128.1 to 188.68.255.254188.68.255.25532,766
139188.69.0.0/17188.69.0.1 to 188.69.127.254188.69.127.25532,766
140188.69.128.0/17188.69.128.1 to 188.69.255.254188.69.255.25532,766
141188.70.0.0/17188.70.0.1 to 188.70.127.254188.70.127.25532,766
142188.70.128.0/17188.70.128.1 to 188.70.255.254188.70.255.25532,766
143188.71.0.0/17188.71.0.1 to 188.71.127.254188.71.127.25532,766
144188.71.128.0/17188.71.128.1 to 188.71.255.254188.71.255.25532,766
145188.72.0.0/17188.72.0.1 to 188.72.127.254188.72.127.25532,766
146188.72.128.0/17188.72.128.1 to 188.72.255.254188.72.255.25532,766
147188.73.0.0/17188.73.0.1 to 188.73.127.254188.73.127.25532,766
148188.73.128.0/17188.73.128.1 to 188.73.255.254188.73.255.25532,766
149188.74.0.0/17188.74.0.1 to 188.74.127.254188.74.127.25532,766
150188.74.128.0/17188.74.128.1 to 188.74.255.254188.74.255.25532,766
151188.75.0.0/17188.75.0.1 to 188.75.127.254188.75.127.25532,766
152188.75.128.0/17188.75.128.1 to 188.75.255.254188.75.255.25532,766
153188.76.0.0/17188.76.0.1 to 188.76.127.254188.76.127.25532,766
154188.76.128.0/17188.76.128.1 to 188.76.255.254188.76.255.25532,766
155188.77.0.0/17188.77.0.1 to 188.77.127.254188.77.127.25532,766
156188.77.128.0/17188.77.128.1 to 188.77.255.254188.77.255.25532,766
157188.78.0.0/17188.78.0.1 to 188.78.127.254188.78.127.25532,766
158188.78.128.0/17188.78.128.1 to 188.78.255.254188.78.255.25532,766
159188.79.0.0/17188.79.0.1 to 188.79.127.254188.79.127.25532,766
160188.79.128.0/17188.79.128.1 to 188.79.255.254188.79.255.25532,766
161188.80.0.0/17188.80.0.1 to 188.80.127.254188.80.127.25532,766
162188.80.128.0/17188.80.128.1 to 188.80.255.254188.80.255.25532,766
163188.81.0.0/17188.81.0.1 to 188.81.127.254188.81.127.25532,766
164188.81.128.0/17188.81.128.1 to 188.81.255.254188.81.255.25532,766
165188.82.0.0/17188.82.0.1 to 188.82.127.254188.82.127.25532,766
166188.82.128.0/17188.82.128.1 to 188.82.255.254188.82.255.25532,766
167188.83.0.0/17188.83.0.1 to 188.83.127.254188.83.127.25532,766
168188.83.128.0/17188.83.128.1 to 188.83.255.254188.83.255.25532,766
169188.84.0.0/17188.84.0.1 to 188.84.127.254188.84.127.25532,766
170188.84.128.0/17188.84.128.1 to 188.84.255.254188.84.255.25532,766
171188.85.0.0/17188.85.0.1 to 188.85.127.254188.85.127.25532,766
172188.85.128.0/17188.85.128.1 to 188.85.255.254188.85.255.25532,766
173188.86.0.0/17188.86.0.1 to 188.86.127.254188.86.127.25532,766
174188.86.128.0/17188.86.128.1 to 188.86.255.254188.86.255.25532,766
175188.87.0.0/17188.87.0.1 to 188.87.127.254188.87.127.25532,766
176188.87.128.0/17188.87.128.1 to 188.87.255.254188.87.255.25532,766
177188.88.0.0/17188.88.0.1 to 188.88.127.254188.88.127.25532,766
178188.88.128.0/17188.88.128.1 to 188.88.255.254188.88.255.25532,766
179188.89.0.0/17188.89.0.1 to 188.89.127.254188.89.127.25532,766
180188.89.128.0/17188.89.128.1 to 188.89.255.254188.89.255.25532,766
181188.90.0.0/17188.90.0.1 to 188.90.127.254188.90.127.25532,766
182188.90.128.0/17188.90.128.1 to 188.90.255.254188.90.255.25532,766
183188.91.0.0/17188.91.0.1 to 188.91.127.254188.91.127.25532,766
184188.91.128.0/17188.91.128.1 to 188.91.255.254188.91.255.25532,766
185188.92.0.0/17188.92.0.1 to 188.92.127.254188.92.127.25532,766
186188.92.128.0/17188.92.128.1 to 188.92.255.254188.92.255.25532,766
187188.93.0.0/17188.93.0.1 to 188.93.127.254188.93.127.25532,766
188188.93.128.0/17188.93.128.1 to 188.93.255.254188.93.255.25532,766
189188.94.0.0/17188.94.0.1 to 188.94.127.254188.94.127.25532,766
190188.94.128.0/17188.94.128.1 to 188.94.255.254188.94.255.25532,766
191188.95.0.0/17188.95.0.1 to 188.95.127.254188.95.127.25532,766
192188.95.128.0/17188.95.128.1 to 188.95.255.254188.95.255.25532,766
193188.96.0.0/17188.96.0.1 to 188.96.127.254188.96.127.25532,766
194188.96.128.0/17188.96.128.1 to 188.96.255.254188.96.255.25532,766
195188.97.0.0/17188.97.0.1 to 188.97.127.254188.97.127.25532,766
196188.97.128.0/17188.97.128.1 to 188.97.255.254188.97.255.25532,766
197188.98.0.0/17188.98.0.1 to 188.98.127.254188.98.127.25532,766
198188.98.128.0/17188.98.128.1 to 188.98.255.254188.98.255.25532,766
199188.99.0.0/17188.99.0.1 to 188.99.127.254188.99.127.25532,766
200188.99.128.0/17188.99.128.1 to 188.99.255.254188.99.255.25532,766
201188.100.0.0/17188.100.0.1 to 188.100.127.254188.100.127.25532,766
202188.100.128.0/17188.100.128.1 to 188.100.255.254188.100.255.25532,766
203188.101.0.0/17188.101.0.1 to 188.101.127.254188.101.127.25532,766
204188.101.128.0/17188.101.128.1 to 188.101.255.254188.101.255.25532,766
205188.102.0.0/17188.102.0.1 to 188.102.127.254188.102.127.25532,766
206188.102.128.0/17188.102.128.1 to 188.102.255.254188.102.255.25532,766
207188.103.0.0/17188.103.0.1 to 188.103.127.254188.103.127.25532,766
208188.103.128.0/17188.103.128.1 to 188.103.255.254188.103.255.25532,766
209188.104.0.0/17188.104.0.1 to 188.104.127.254188.104.127.25532,766
210188.104.128.0/17188.104.128.1 to 188.104.255.254188.104.255.25532,766
211188.105.0.0/17188.105.0.1 to 188.105.127.254188.105.127.25532,766
212188.105.128.0/17188.105.128.1 to 188.105.255.254188.105.255.25532,766
213188.106.0.0/17188.106.0.1 to 188.106.127.254188.106.127.25532,766
214188.106.128.0/17188.106.128.1 to 188.106.255.254188.106.255.25532,766
215188.107.0.0/17188.107.0.1 to 188.107.127.254188.107.127.25532,766
216188.107.128.0/17188.107.128.1 to 188.107.255.254188.107.255.25532,766
217188.108.0.0/17188.108.0.1 to 188.108.127.254188.108.127.25532,766
218188.108.128.0/17188.108.128.1 to 188.108.255.254188.108.255.25532,766
219188.109.0.0/17188.109.0.1 to 188.109.127.254188.109.127.25532,766
220188.109.128.0/17188.109.128.1 to 188.109.255.254188.109.255.25532,766
221188.110.0.0/17188.110.0.1 to 188.110.127.254188.110.127.25532,766
222188.110.128.0/17188.110.128.1 to 188.110.255.254188.110.255.25532,766
223188.111.0.0/17188.111.0.1 to 188.111.127.254188.111.127.25532,766
224188.111.128.0/17188.111.128.1 to 188.111.255.254188.111.255.25532,766
225188.112.0.0/17188.112.0.1 to 188.112.127.254188.112.127.25532,766
226188.112.128.0/17188.112.128.1 to 188.112.255.254188.112.255.25532,766
227188.113.0.0/17188.113.0.1 to 188.113.127.254188.113.127.25532,766
228188.113.128.0/17188.113.128.1 to 188.113.255.254188.113.255.25532,766
229188.114.0.0/17188.114.0.1 to 188.114.127.254188.114.127.25532,766
230188.114.128.0/17188.114.128.1 to 188.114.255.254188.114.255.25532,766
231188.115.0.0/17188.115.0.1 to 188.115.127.254188.115.127.25532,766
232188.115.128.0/17188.115.128.1 to 188.115.255.254188.115.255.25532,766
233188.116.0.0/17188.116.0.1 to 188.116.127.254188.116.127.25532,766
234188.116.128.0/17188.116.128.1 to 188.116.255.254188.116.255.25532,766
235188.117.0.0/17188.117.0.1 to 188.117.127.254188.117.127.25532,766
236188.117.128.0/17188.117.128.1 to 188.117.255.254188.117.255.25532,766
237188.118.0.0/17188.118.0.1 to 188.118.127.254188.118.127.25532,766
238188.118.128.0/17188.118.128.1 to 188.118.255.254188.118.255.25532,766
239188.119.0.0/17188.119.0.1 to 188.119.127.254188.119.127.25532,766
240188.119.128.0/17188.119.128.1 to 188.119.255.254188.119.255.25532,766
241188.120.0.0/17188.120.0.1 to 188.120.127.254188.120.127.25532,766
242188.120.128.0/17188.120.128.1 to 188.120.255.254188.120.255.25532,766
243188.121.0.0/17188.121.0.1 to 188.121.127.254188.121.127.25532,766
244188.121.128.0/17188.121.128.1 to 188.121.255.254188.121.255.25532,766
245188.122.0.0/17188.122.0.1 to 188.122.127.254188.122.127.25532,766
246188.122.128.0/17188.122.128.1 to 188.122.255.254188.122.255.25532,766
247188.123.0.0/17188.123.0.1 to 188.123.127.254188.123.127.25532,766
248188.123.128.0/17188.123.128.1 to 188.123.255.254188.123.255.25532,766
249188.124.0.0/17188.124.0.1 to 188.124.127.254188.124.127.25532,766
250188.124.128.0/17188.124.128.1 to 188.124.255.254188.124.255.25532,766
251188.125.0.0/17188.125.0.1 to 188.125.127.254188.125.127.25532,766
252188.125.128.0/17188.125.128.1 to 188.125.255.254188.125.255.25532,766
253188.126.0.0/17188.126.0.1 to 188.126.127.254188.126.127.25532,766
254188.126.128.0/17188.126.128.1 to 188.126.255.254188.126.255.25532,766
255188.127.0.0/17188.127.0.1 to 188.127.127.254188.127.127.25532,766
256188.127.128.0/17188.127.128.1 to 188.127.255.254188.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses